import type { JuejinResponse } from '../types/index.js';
/**
 * 掘金API基础HTTP客户端
 * 提供统一的请求处理、错误处理和重试机制
 */
export declare class JuejinApiClient {
    private client;
    private config;
    private readonly maxRetries;
    private readonly retryDelay;
    constructor();
    /**
     * 设置请求和响应拦截器
     */
    private setupInterceptors;
    /**
     * 通用GET请求
     */
    get<T>(url: string, params?: Record<string, any>): Promise<JuejinResponse<T>>;
    /**
     * 通用POST请求
     */
    post<T>(url: string, data?: Record<string, any>, params?: Record<string, any>): Promise<JuejinResponse<T>>;
    /**
     * 带重试机制的请求执行
     */
    private requestWithRetry;
    /**
     * 延迟函数
     */
    private delay;
    /**
     * 构建查询参数
     */
    static buildParams(params: Record<string, any>): Record<string, any>;
    /**
     * 格式化错误信息
     */
    static formatError(error: any): string;
}
export declare const apiClient: JuejinApiClient;
