#!/usr/bin/env node
import { Tool } from '@modelcontextprotocol/sdk/types.js';
/**
 * 智能聚合型掘金MCP服务器
 * 提供掘金数据获取、分析和智能推荐功能
 *
 * 版本信息和配置从package.json动态读取
 */
export declare class JuejinMcpServer {
    private server;
    private tools;
    constructor();
    /**
     * 设置MCP处理器
     */
    private setupHandlers;
    /**
     * 注册所有MCP工具
     */
    private registerTools;
    /**
     * 启动服务器
     */
    start(): Promise<void>;
    /**
     * 获取已注册的工具列表
     */
    getTools(): Tool[];
    /**
     * 获取服务器信息
     */
    getServerInfo(): {
        name: string;
        version: string;
        description: string;
        author: string;
        homepage: string;
        protocolVersion: string;
    };
}
