import type { Tool } from '@modelcontextprotocol/sdk/types.js';
/**
 * 分析相关MCP工具
 */
export declare const analyticsTools: Tool[];
/**
 * 分析工具处理器
 */
export declare class AnalyticsToolHandler {
    /**
     * 处理趋势分析
     */
    handleAnalyzeTrends(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理内容质量分析
     */
    handleAnalyzeContentQuality(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理用户兴趣分析
     */
    handleAnalyzeUserInterests(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理简化趋势分析
     */
    handleGetSimpleTrends(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 简化版趋势分析实现
     */
    private analyzeSimpleTrends;
    /**
     * 处理生成趋势报告
     */
    handleGenerateTrendReport(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理内容比较
     */
    handleCompareContent(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理受欢迎程度预测
     */
    handlePredictPopularity(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    private calculatePerformanceMetrics;
    private generateImprovementSuggestions;
    private generateTrendRecommendations;
    private generateComparisonSummary;
    private calculatePredictionConfidence;
    private identifyRiskFactors;
    private generateOptimizationSuggestions;
}
export declare const analyticsToolHandler: AnalyticsToolHandler;
