import type { Tool } from '@modelcontextprotocol/sdk/types.js';
/**
 * 性能分析相关MCP工具
 */
export declare const performanceTools: Tool[];
/**
 * 性能工具处理器
 */
export declare class PerformanceToolHandler {
    /**
     * 处理获取性能统计
     */
    handleGetPerformanceStats(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理获取缓存统计
     */
    handleGetCacheStats(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理获取系统健康状态
     */
    handleGetSystemHealth(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理性能优化操作
     */
    handleOptimizePerformance(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理性能基准测试
     */
    handleRunPerformanceBenchmark(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    private calculateCachePerformanceImpact;
    private generateCacheOptimizationSuggestions;
    private calculateOverallHealth;
    private calculateAverageResponseTime;
    private generateSystemRecommendations;
    private clearCache;
    private resetStats;
    private forceGarbageCollection;
    private warmupCache;
    private benchmarkCache;
    private benchmarkAPI;
    private benchmarkAnalysis;
    private generateBenchmarkSummary;
}
export declare const performanceToolHandler: PerformanceToolHandler;
