import type { Tool } from '@modelcontextprotocol/sdk/types.js';
/**
 * 沸点相关MCP工具
 */
export declare const pinTools: Tool[];
/**
 * 沸点工具处理器
 */
export declare class PinToolHandler {
    /**
     * 处理获取沸点列表
     */
    handleGetPins(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理搜索沸点
     */
    handleSearchPins(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理获取热门话题
     */
    handleGetHotTopics(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理沸点趋势分析
     */
    handleAnalyzePinTrends(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理沸点推荐
     */
    handleGetPinRecommendations(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 获取最受欢迎的内容类型
     */
    private getMostPopularContentType;
    /**
     * 获取活跃高峰时段
     */
    private getPeakHours;
    /**
     * 生成参与度洞察
     */
    private generateEngagementInsights;
    /**
     * 评估活跃度等级
     */
    private assessActivityLevel;
    /**
     * 生成洞察消息
     */
    private generateInsightMessages;
    /**
     * 分析情感分布
     */
    private analyzeSentimentDistribution;
    /**
     * 获取主导情感
     */
    private getDominantSentiment;
}
export declare const pinToolHandler: PinToolHandler;
